Problema notebook e hd5650M

12 risposte [Ultimo messaggio]
Ritratto di vinko90
vinko90
(Junior)
Offline
Junior
Iscritto: 22/05/2012
Messaggi: 7

Ciao a tutti,ho un problema con il mio notebook hp dv6-3140 con vga integrata intel + dedicata ati HD5650 (nel bios non c'è l'opzione per scegliere quale vga usare). Ho provato le distro ubuntu e fedora e con nessuna dei due sono riuscito ad utilizzare la vga ati e a fare lo switch fra le due schede. Usando i driver open source non funziona vgaswitcheroo e con i driver ati scaricati dal sito al riavvio và in crash su una schermata nera e sono costretto a rimuoverli dalla consolle di ripristino.

Ora sono giunto a suse,ho trovato questa guida ma nn ho capito cosa devo fare:
http://www.suseitalia.org/blog/suse98/2012/03/15/installazione-driver-atiamd-fglrx-proprietari-su-opensuse-121-su-gnome-3

Non ho capito cosa devo fare manualmente da questo passaggio:

...poi controlliamo che ci siano i driver radeon in blacklist con:
 
cat /etc/modprobe.d/50-fglrx.conf
 
Anche se sono in blacklist, io consiglio di modificare la stringa nel file /etc/X11/xorg.conf.d/50-device.conf con driver “fglrx”
E poi entriamo in modalità testuale ( dopo aver chiuso tutti i programmi aperti, non è necessario, non preoccupatevi ) premendo Ctrl+Alt+F1, ci loggiamo come root e diamo un reboot ( sempre meglio di riavviare x con startx o riavviare la schermata login con xdm restart, quando x sta per l'iniziale del vostro DE, ad esempio lxde: ldm restart )

Secondo voi con suse riesco a risolvere il problema ed utilizzare finalmente la mia vga ati?

Ritratto di Suse98
Suse98
(Guru)
Offline
Guru
Iscritto: 03/10/2010
Messaggi: 1711

vinko90 ha scritto:

Ciao a tutti,ho un problema con il mio notebook hp dv6-3140 con vga integrata intel + dedicata ati HD5650 (nel bios non c'è l'opzione per scegliere quale vga usare). Ho provato le distro ubuntu e fedora e con nessuna dei due sono riuscito ad utilizzare la vga ati e a fare lo switch fra le due schede. Usando i driver open source non funziona vgaswitcheroo e con i driver ati scaricati dal sito al riavvio và in crash su una schermata nera e sono costretto a rimuoverli dalla consolle di ripristino.

Ora sono giunto a suse,ho trovato questa guida ma nn ho capito cosa devo fare:
http://www.suseitalia.org/blog/suse98/2012/03/15/installazione-driver-atiamd-fglrx-proprietari-su-opensuse-121-su-gnome-3

Non ho capito cosa devo fare manualmente da questo passaggio:

...poi controlliamo che ci siano i driver radeon in blacklist con:
 
cat /etc/modprobe.d/50-fglrx.conf
 
Anche se sono in blacklist, io consiglio di modificare la stringa nel file /etc/X11/xorg.conf.d/50-device.conf con driver “fglrx”
E poi entriamo in modalità testuale ( dopo aver chiuso tutti i programmi aperti, non è necessario, non preoccupatevi ) premendo Ctrl+Alt+F1, ci loggiamo come root e diamo un reboot ( sempre meglio di riavviare x con startx o riavviare la schermata login con xdm restart, quando x sta per l'iniziale del vostro DE, ad esempio lxde: ldm restart )

Secondo voi con suse riesco a risolvere il problema ed utilizzare finalmente la mia vga ati?

Allora, fai il comando

# cat /etc/modprobe.d/50-fglrx.conf

# significa da root, quindi dopo un su, o su -
e controlli se ci sono i driver radeon in black list:

E poi con un editor di testo, da root, apri il file /etc/X11/xorg.conf.d/50-device.conf sostituisci radeon con fglrx Wink

SUSE LINUX Rilascio 12.3 (Dartmounth) KDE 4.10 && GNOME 3.8

Ritratto di vinko90
vinko90
(Junior)
Offline
Junior
Iscritto: 22/05/2012
Messaggi: 7

Ora masterizzo e provo subito. Prima avevo scaricato la versione 11.10 di suse con lxde,ma quando ho messo il cd e ho avviato il live si era fatto lo schermo nero del monitor e nn vedevo niente più Sad ...ora sto masterizzando l'ultima versione con kde. Speriamo che questa vada bene. Poi se riesco ad installarlo vedrò come installare il desktop lxde che a me piace molto perchè è molto leggero e facilmente personalizzabile.

Ritratto di vinko90
vinko90
(Junior)
Offline
Junior
Iscritto: 22/05/2012
Messaggi: 7

Allora sono riuscito ad installare kde anche se non mi piace e lo trovo un pò lentino. Kmq quando dò il comando per scaricare il pacchetto alla fine fallisce l'installazione,riporto il terminale:

warofdevil@linux-2iqp:~> sudo zypper in fglrx_xpic_SUSE121
Recupero dei metadati del repository 'ATI/AMD fglrx non-official' [\]
 
Ricevuta una nuova chiave di firma del pacchetto o del repository:
ID chiave: D5C9B751C4653227
Nome chiave: Bruno Friedmann (Email professionnel) <bruno@ioda-net.ch>
Impronta digitale chiave: 7E289CA4C83EEE56050095F2D5C9B751C4653227
Chiave creata il: mar 14 mar 2006 16:24:43 CET
La chiave scade il: (non scade)
Repository: ATI/AMD fglrx non-official
 
Si vuole rifiutare la chiave, fidarsi temporaneamente, o fidarsi definitivamente? [r/t/d/?] (r): d
Recupero dei metadati del repository 'ATI/AMD fglrx non-official' [fatto]
Costruzione della cache del repository 'ATI/AMD fglrx non-official' [fatto]
Lettura dei dati del repository in corso...
Lettura dei pacchetti installati in corso...
Risoluzione delle dipendenze dei pacchetti in corso…
 
I seguenti NUOVI pacchetti verranno installati:
  fglrx_xpic_SUSE121 kernel-desktop-devel kernel-pae-devel kernel-source 
  kernel-syms kernel-xen-devel 
 
6 nuovi pacchetti da installare.
Dimensione complessiva scaricata: 104,1 MiB. Dopo l'operazione, saranno usati 
ulteriori 524,5 MiB.
Continuare? [s/n/?] (s): s
Recupero di pacchetto kernel-desktop-devel-3.1.10-1.9.1.i586 (1/6), 2,0 MiB (estratto 2,7 MiB)
Recupero di: kernel-desktop-devel-3.1.10-1.9.1.i586.rpm [fatto (293,5 KiB/s)]
Recupero di pacchetto kernel-pae-devel-3.1.10-1.9.1.i586 (2/6), 2,0 MiB (estratto 2,7 MiB)
Recupero di: kernel-pae-devel-3.1.10-1.9.1.i586.rpm [fatto (270,9 KiB/s)]
Recupero di pacchetto kernel-xen-devel-3.1.10-1.9.1.i586 (3/6), 2,0 MiB (estratto 2,7 MiB)
Recupero di: kernel-xen-devel-3.1.10-1.9.1.i586.rpm [fatto (287,4 KiB/s)]
Recupero di pacchetto kernel-source-3.1.10-1.9.1.noarch (4/6), 61,7 MiB (estratto 371,8 MiB)
Recupero di: kernel-source-3.1.10-1.9.1.noarch.rpm [fatto (386,1 KiB/s)]
Recupero di pacchetto kernel-syms-3.1.10-1.9.1.i586 (5/6), 328,0 KiB (estratto 1,0 KiB)
Recupero di: kernel-syms-3.1.10-1.9.1.i586.rpm [fatto (424,1 KiB/s)]
Recupero di pacchetto fglrx_xpic_SUSE121-8.961-1.i586 (6/6), 36,1 MiB (estratto 144,6 MiB)
Recupero di: fglrx_xpic_SUSE121-8.961-1.i586.rpm [fatto (342,1 KiB/s)]
Installazione di: kernel-desktop-devel-3.1.10-1.9.1 [fatto]
Installazione di: kernel-pae-devel-3.1.10-1.9.1 [fatto]
Installazione di: kernel-xen-devel-3.1.10-1.9.1 [fatto]
Installazione di: kernel-source-3.1.10-1.9.1 [fatto]
Installazione di: kernel-syms-3.1.10-1.9.1 [fatto]
Installazione di: fglrx_xpic_SUSE121-8.961-1 [fatto]
Output aggiuntivo di rpm:
Updating /etc/sysconfig/fglrxconfig...
/usr/src/kernel-modules/fglrx /
Apply some patches ...
ati-CONFIG_SMP.patch applied successfully.
ati-2.6.27-build-fix-1.patch applied successfully.
ati-2.6.36-compat_alloc_user_space.patch applied successfully.
amd-3.2.9-no-constant-TS_USEDFPU.patch applied successfully.
amd-3.3.0-new_thread_structure.patch applied successfully.
/
 
Used CPUs/Cores for compilation  =>  [ 4 ]
 
 
********************************************************************************
*                                                                              *
*   Kernel:    3.1.0-1.2-default                                               *
*   Source:    /lib/modules/3.1.0-1.2-default/build                            *
*   Include:   /lib/modules/3.1.0-1.2-default/source/include                   *
*                                                                              *
********************************************************************************
 
 
 
Warning:
kernel includes at /lib/modules/3.1.0-1.2-default/source/include not found or incomplete
file: /lib/modules/3.1.0-1.2-default/source/include/asm-x86_64/compat.h
 
/usr/src/kernel-modules/fglrx/2.6.x /
rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
make: *** /lib/modules/3.1.0-1.2-default/build: No such file or directory.  Stop.
 
******************************
Build of kernel module failed!
******************************
 
rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
/
Calling 'depmod -a 3.1.0-1.2-default' this may take a while...
 
 
Summary report:
================================================================================
 
   Kernel     => 3.1.0-1.2-default
   Detected   => RPM package
   Build      => [ FAILURE ]
   Install    => [ FAILURE ]
 
**************************************************************
Building/installation of fglrx kernel module failed! Try again
by calling "/usr/bin/fglrx-kernel-build.sh" manually.
**************************************************************
 
 
*************************************************************
Please read "/usr/share/doc/packages/fglrx/README.SuSE" for
configuration details when using SaX2.
*************************************************************
 
Disable KMS to prevent driver issue:
 
Kernel image:   /boot/vmlinuz-3.1.0-1.2-default
Initrd image:   /boot/initrd-3.1.0-1.2-default
Root device:    /dev/disk/by-id/ata-ST9500420AS_5VJ9A4K9-part5 (/dev/sda5) (mounted on / as ext4)
Kernel Modules: hwmon thermal_sys thermal processor fan rtc-cmos libata pata_netcell pata_pdc202xx_old pata_ns87410 libahci ahci_platform pata_radisys pata_via sata_inic162x pata_hpt3x3 pata_mpiix pdc_adma pata_piccolo pata_marvell pata_cypress pata_atp867x pata_efar pata_sil680 pata_sis sata_sis pata_cs5520 pata_it821x pata_ali pata_sl82c105 sata_sil pata_optidma pata_atiixp pata_serverworks sata_promise sata_mv sata_nv acard-ahci pata_ns87415 ahci pata_hpt37x pata_amd pata_ninja32 pata_sc1200 pata_isapnp sata_sil24 pata_cs5536 sata_qstor sata_svw pcmcia_core pcmcia pata_pcmcia pata_cmd64x pata_triflex pata_sch pata_qdi sata_uli pata_rz1000 pata_hpt366 pata_cs5535 sata_via sata_vsc pata_it8213 pata_artop pata_opti pata_cmd640 ata_piix pata_cs5530 ata_generic pata_acpi pata_jmicron pata_arasan_cf pata_hpt3x2n pata_legacy pata_oldpiix pata_pdc2027x pata_rdc sata_sx4 usbcore ohci-hcd uhci-hcd ehci-hcd hid usbhid 
Features:       acpi block usb resume.userspace resume.kernel
Bootsplash:     openSUSE (1024x768), openSUSE (1366x768)
Check: No fglrx section.
Uninitialised file found, configuring.
PowerXpress info: Diagnostic output from /usr/lib/fglrx/switchlibglx:
Switch to AMD
 
Switch to AMD

Ritratto di aksaf
aksaf
(Guru)
Offline
Guru
Iscritto: 08/03/2011
Messaggi: 957

Scusa ma il tuo portatile ha per caso processore intel core i5 e 4GB di RAM? Hai per caso provato ad installare la versione a 64 bit di openSUSE (o a provarne una Live)?

Ritratto di fusoo
fusoo
(Monster)
Offline
Monster
Iscritto: 04/08/2010
Messaggi: 230

leggi qui
http://forums.opensuse.org/english/get-technical-help-here/laptop/445072-i-have-problem-switchable-graphics-laptop-3.html
immagine
http://www.freeimagehosting.net/t7wqt

desktop,laptop,netbook con opensuse 12.3 , cell android -tv32led,ricevitore sat,videotelefono telecom,router wifi:linux inside -per il frigorifero mi sto attrezzando

Ritratto di vinko90
vinko90
(Junior)
Offline
Junior
Iscritto: 22/05/2012
Messaggi: 7

aksaf ha scritto:

Scusa ma il tuo portatile ha per caso processore intel core i5 e 4GB di RAM? Hai per caso provato ad installare la versione a 64 bit di openSUSE (o a provarne una Live)?


Si esatto hai indovinato i5-460m e 4gb ddr3. A dire la verità non ho mai provato nessuna distro 64bit. Ora provo a installare suse 64 e vedere se mi dà lo stesso problema. DIci che con il 64bit cambia la situazione?

Ritratto di vinko90
vinko90
(Junior)
Offline
Junior
Iscritto: 22/05/2012
Messaggi: 7

Allora ho installato suse gnome 64bit e ho provato a installare i driver come descritto nel forum inglese che avete postato. Il risultato è che alla fine dell'installazione dei pacchetti mi dà sempre l'errore con il fallimento di compilazione del kernel proprio come la versione 32bit. Dò anche il comando aticonfig e riavvio. Al riavvio lo schermo blinka per un paio di volte poi si blocca e si apre un terminale con tty1,mi loggo con il nome utente e password e provo a scrivere startx. Ma esce questo errore:
hostname: nome o servizio sconosciuto
xauth: file /home/warofdevil/.serverauth.1918 does non exist
xauth: file /home/warofdevil/.Xautority doe not exist
xauth: file /home/warofdevil/.Xautority does not exist

Fatal server error:
Cannot move old log file "/var/log/Xorg.0.log" to "/var/log/Xorg.0.log.old"
ecc ecc..

Ritratto di fusoo
fusoo
(Monster)
Offline
Monster
Iscritto: 04/08/2010
Messaggi: 230

ti consiglio se mastichi un po di inglese a chiedere aiuto al forum ufficiale inglese di opensuse, oltre che qui

desktop,laptop,netbook con opensuse 12.3 , cell android -tv32led,ricevitore sat,videotelefono telecom,router wifi:linux inside -per il frigorifero mi sto attrezzando

Ritratto di Suse98
Suse98
(Guru)
Offline
Guru
Iscritto: 03/10/2010
Messaggi: 1711

Prova ad aggiornare il kernel alla 3.1.9 nel repo Oss e riprova Wink

SUSE LINUX Rilascio 12.3 (Dartmounth) KDE 4.10 && GNOME 3.8

Ritratto di Gollum
Gollum
(Collaboratore)
Offline
Collaboratore
Iscritto: 03/03/2005
Messaggi: 802

@vinko90
Domanda banale lo so, ma sei assolutamente sicuro di aver installato i pacchetti make gcc gcc-c++ ?

@SUse98
La versione attuale del kernel è la 3.1.10

Desktop DELL XPS8100 => openSUSE_12.2 => KDE 4.10 => Core i7 => 3.4.28-2.20 => Nvidia GT220
Notebook Sony Vaio VPPCA =>openSUSE_12.2 => KDE 4.10 => Core i5 => 3.4.28-2.20 => AMD HD 6470M